# -*- mode: ruby -*-
# vi: set ft=ruby :

envvars = Hash.new
envvars['concourse_port']=35555

salt_scopes = [ 'base', 'project', 'personal', 'secure' ]

Vagrant.configure("2") do |config|
  config.vm.box = "bento/debian-11"
  config.vm.network "forwarded_port", guest: 8080, host: envvars['concourse_port']

  config.vm.provider "virtualbox" do |v|
    v.memory = 8192
    v.cpus = 4
  end

  salt_scopes.each do |scope|
    if Dir.exist?("#{__dir__}/#{scope}_provisioning")
      config.vm.provision "file", source: "#{__dir__}/#{scope}_provisioning", destination: "/tmp/#{scope}_provisioning"
    end
  end
  config.vm.provision "file", source: "#{__dir__}/provisioning", destination: "/tmp/provisioning"
  config.vm.provision "shell", inline: "chmod +x /tmp/provisioning/* && /tmp/provisioning/core", env: envvars
end
